Bug 53017 - Kernel src installs modules in wrong location
Summary: Kernel src installs modules in wrong location
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kernel   
(Show other bugs)
Version: roswell
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-01 21:08 UTC by cbagwell
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-04 14:45:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description cbagwell 2001-09-01 21:08:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010809

Description of problem:
I upgraded to kernel-2.4.7-6 via up2date (along with source code).

I decided to build a custom kernel and install it.  When I did, I noticed
that all modules were installed in /lib/modules/2.4.7-6custom.

After rebooting, I noticed that kernel though is still reporting a uname -r
of 2.4.7-6 and is trying to access the wrong modules.

I kinda like the idea of adding the custom to all source code so users will
not overwrite their known good kernel and modules.  BUT for it to work, you
will also need to modify /usr/src/linux-2.4/include/linux/version.h to add
this keyword as well.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download source and compile
2. Install
3. Reboot and watch module dependency failures.
	

Additional info:

Comment 1 Arjan van de Ven 2001-09-03 11:20:26 UTC
Woops...
The version.h is supposed to be rebuild automatically when you rebuild your
tree; I suspect a missing Makefile dependency, will check
Thanks for the report!

Comment 2 Arjan van de Ven 2001-09-04 19:08:59 UTC
Ok fix works.
Thanks for reporting this!


Note You need to log in before you can comment on or make changes to this bug.